Subject: Re: [PATCH v7 12/24] wfx: add hif_api_*.h

From: Kalle Valo <[email-masked]>
Date: Fri, 01 Oct 2021 14:48:36 +0300

Jerome Pouiller <[email-masked]> writes:

> From: Jérôme Pouiller <[email-masked]>
>
> Signed-off-by: Jérôme Pouiller <[email-masked]>

[...]

> --- /dev/null
> +++ b/drivers/net/wireless/silabs/wfx/hif_api_general.h
> @@ -0,0 +1,256 @@
> +/* SPDX-License-Identifier: Apache-2.0 */
> +/*
> + * WF200 hardware interface definitions
> + *
> + * Copyright (c) 2018-2020, Silicon Laboratories Inc.
> + */
> +
> +#ifndef WFX_HIF_API_GENERAL_H
> +#define WFX_HIF_API_GENERAL_H
> +
> +#include <linux/types.h>
> +#include <linux/if_ether.h>

I'm looking at staging-next (commit 42ce32b1ae54) while reviewing the
driver and there I see:

#ifndef WFX_HIF_API_GENERAL_H
#define WFX_HIF_API_GENERAL_H

#ifdef __KERNEL__
#include <linux/types.h>
#include <linux/if_ether.h>
#else
#include <net/ethernet.h>
#include <stdint.h>
#define __packed __attribute__((__packed__))
#endif

I don't know what's causing the difference, but that ifdef __KERNEL__
looks useless.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches